# Neuraline

**Neuraline** is an algorithm that has a closed code library focused on Artificial Intelligence and Quantum Computing but also has resources for works in Neuroscience and Computational Neuroscience, Physics and Computational Physics, Applied Statistics, Advanced Mathematics, Data Science and Econometrics. The Artificial Intelligence with Machine Learning and Quantum Artificial Intelligence with Quantum Machine Learning algorithms together with the Quantum and Computational Simulation Algorithms are self-configurable for undefined hyper parameters or defined hyper parameters with low result precision. In the latter case, when hyper parameters with inappropriate values are used for the data set, the algorithm itself takes care of reconfiguring them so that a better result can be achieved, thus minimizing the margin of error and maximizing the mathematical precision. Algorithms involving Quantum Mechanics applied to Computing can be executed both on the local machine through quantum simulators and on a remote server that connects to a real five-qubit quantum computer. When more than 5 qubits are configured, the quantum computer will compute the data with 5 real qubits and the remaining qubits will be simulated. Some of the Quantum Computing features contained in the code library will be simulated through classical computing until new versions of the algorithm implement real quantum computing with the advancement of technology, but most of the quantum features of the algorithms are computed in a quantum way in real quantum computers. Once the connection to a quantum computer is established, this will not eliminate the need for processing on your local machine. The quantum calculations will be performed on the remote quantum computer but the parts of the calculations that involve classical mathematics will be computed locally. If the connection to the remote server fails, the algorithm will use its history of previous quantum calculations to simulate the current result.

## Instructions after installing the package

To unlock all resources, follow the steps below.

* `step 1:` Connected to internet, run the subscription window on your local machine with the following code.
				
'''
Note: Do not run this code in Jupyter Notebook or any such notebook.
For the window to be displayed, the code will must be executed in a single file by command line.
'''
from Neuraline.Utilities.subscribe import Subscribe
Subscribe().subscribe()
			
* `step 2:` fill in the first field of the form with your full real name and in the second field choose your country of residence. After filling in both fields, click on the "Next >>" button.

* `step 3:` click on one of the PayPal signature buttons and in the PayPal authentication window fill in the requested information with your payment details and confirm. Upon completion of the subscription payment, a file named "subscription.key" will be downloaded. This file is the responsible for validating your signature with the validation serial key and releasing all resources of Neuraline on your local machine.

* `step 4:` (FINAL) - connected to the internet, execute the signature validation code informing the "subscription.key" file that was downloaded in the value of the "url_path" parameter. If the return is True with the message "Signature SUCCESSFULLY VALIDATED!", your signature will have been successfully validated and all professional features of code library will be released without restriction.
				
from Neuraline.Utilities.subscribe import Subscribe
'''
Address with the directory where the downloaded file
is located followed by the name of the file ("subscription.key").
'''
url_path = 'C:/Users/UserName/Downloads/subscription.key' # example address
print(Subscribe().validateSignature(url_path=url_path))

## Documentation

from Neuraline.Utilities.documentation import Documentation
Documentation().runDocumentation()
